    <Proxy "balancer://{{ name }}_http">

        {% for node in nodes %}

        BalancerMember "http://{{ node }}:{{ targetPort }}"

        {% endfor %}

    </Proxy>

    <Proxy "balancer://{{ name }}_ws">

        {% for node in nodes %}

        BalancerMember "ws://{{ node }}:{{ targetPort }}"

        {% endfor %}

    </Proxy>

    RewriteEngine On
    RewriteCond %{QUERY_STRING} transport=websocket    [NC]
    RewriteRule /(.*) balancer://{{ name }}_ws/$1 [P,L]

    ProxyPass / balancer://{{ name }}_http/
    ProxyPassReverse / balancer://{{ name }}_http/
    ProxyPreserveHost On
